gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.Bin A widget that creates a signal when clicked on.

The widget is generally used to attach to a function that is called when the button is pressed. The widget can hold any valid child widget. That is, it can hold most any other standard . The most commonly used child is the .

`using Gtk; using System; public class ButtonApp { public static int Main (string[] args) { Application.Init (); Window win = new Window ("Button Tester"); win.SetDefaultSize (200, 150); win.DeleteEvent += new DeleteEventHandler (Window_Delete); Button btn = new Button ("Click Me"); btn.Clicked += new EventHandler (btn_click); win.Add (btn); win.ShowAll (); Application.Run (); return 0; } static void btn_click (object obj, EventArgs args) { Console.WriteLine ("Button Clicked"); } static void Window_Delete (object obj, DeleteEventArgs args) { Application.Quit (); args.RetVal = true; } }`
- Constructor
  2.12.0.0
  Default parameterless constructor.
  This is the default constructor for the class.
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  a child
  Constructs a button containing a specified Child widget.
- Constructor
  2.12.0.0
  an object of type
  Internal constructor
  This is not typically used by C# code.
- Constructor
  2.12.0.0
  a
  Creates a new containing the image and text from a stock item.
  The valid names of Stock items can be found in the class. If is unknown, then it will be treated as a simple label.

  This for example creates a stock OK button. It sets a localized label, a standard icon (choosed from your GTK theme), and the appropriate keyboard accelerator:

  Button b = new Button (Stock.Ok);
- Method
  2.12.0.0
  GLib.GType Returns the kind of action this button does. a There are four possible options: "ignored", "selects", "drags", and "expands".
- Event
  2.12.0.0
  GLib.Signal("activate")
  System.EventHandler Event launched when the is activated.
- Method
  2.12.0.0
  System.Void Emits a signal to the given . Emits a signal to the given .
- Event
  2.12.0.0
  GLib.Signal("clicked")
  System.EventHandler Event launched when the is clicked.
- Method
  2.12.0.0
  System.Void Emits a signal to the given . Emits a signal to the given .
- Event
  2.12.0.0
  GLib.Signal("enter")
  System.EventHandler Event launched when the cursor enters the area.
- Property
  2.12.0.0
  GLib.Property("focus-on-click")
  System.Boolean Whether the button grabs focus when it is clicked with the mouse. a
- Method
  2.12.0.0
  System.Void `` `` a to put the horizontal alignment in a to put the vertical alignment in Gets the alignment of the child in the button. A convenience method; shouldn't be
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  GLib.Property("image")
  Gtk.Widget Child widget to appear next to the button text. A .
- Property
  2.12.0.0
  GLib.Property("image-position")
  Gtk.PositionType Position of the image relative to the text. a .
- Property
  2.12.0.0
  System.Boolean Whether or not the cursor is inside the button. a , true if the cursor is inside the button.
- Property
  2.12.0.0
  GLib.Property("label")
  System.String The text of the in the . The contained by the . If you want the Label to have a mnemonic you need to set to .
- Method
  2.12.0.0
  System.Void Emits a signal to the given . Emits a signal to the given .
- Event
  2.12.0.0
  GLib.Signal("leave")
  System.EventHandler Event launched when the cursor leaves the area.
- Method
  2.12.0.0
  Gtk.Button `` The text you want the to hold. Creates a widget with a child containing the given text. The newly created widget.
- Method
  2.12.0.0
  Gtk.Button `` a Creates a labeled . a Constructor that creates a labeled . The label shows the string passed as parameter.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideActivated", Type=typeof(Gtk.Button))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideClicked", Type=typeof(Gtk.Button))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideEntered", Type=typeof(Gtk.Button))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideLeft", Type=typeof(Gtk.Button))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverridePressed", Type=typeof(Gtk.Button))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideReleased", Type=typeof(Gtk.Button))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  2.12.0.0
  System.Void Emits a signal to the given . Emits a signal to the given .
- Event
  2.12.0.0
  GLib.Signal("pressed")
  System.EventHandler Event launched when the is pressed.
- Method
  2.12.0.0
  System.Void Emits a signal to the given . Emits a signal to the given .
- Event
  2.12.0.0
  GLib.Signal("released")
  System.EventHandler Event launched when the is released.
- Property
  2.12.0.0
  GLib.Property("relief")
  Gtk.ReliefStyle The for the . An instance of that represents the relief style of the .
- Method
  2.12.0.0
  System.Void `` `` a , the horizontal position of the child; 0.0 is left aligned, 1.0 is right aligned. a , the vertical position of the child; 0.0 is top aligned, 1.0 is bottom aligned. Sets the alignment of the child. This has no effect unless the button's child is a or .
- Property
  2.12.0.0
  GLib.Property("use-stock")
  System.Boolean Whether the should use a . Gets a value indicating if the uses a . It is possible to create a from , which is recommended for consistency in apps. They also provide a and a key shortcut.
- Property
  2.12.0.0
  GLib.Property("use-underline")
  System.Boolean Indicates if a mnemonic is associated with the . Gets a value indicating if the uses underline or not.
- Property
  2.12.0.0
  GLib.Property("xalign")
  System.Single If the child of the button is a or , this property can be used to control its horizontal alignment. a ; 0.0 is left aligned, 1.0 is right aligned.
- Property
  2.12.0.0
  GLib.Property("yalign")
  System.Single If the child of the button is a or , this property can be used to control its vertical alignment. a ; 0.0 is top aligned, 1.0 is bottom aligned.